package com.boman.domain.entity;

import com.boman.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.sql.Date;
import java.util.List;

public class StatisticReport extends BaseEntity {

    private Long id;
    private String reportName;
    private String reportId;
    private String templateName;
    private Date startTime;
    private Date endTime;
    private String sTime;
    private String eTime;
    private String reportStatus;
    private String status;
    private String repUploadFile;
    private String isDel;
    private List<StatisticReportPersonnel> personnels;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getReportName() {
        return reportName;
    }

    public void setReportName(String reportName) {
        this.reportName = reportName;
    }

    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getReportStatus() {
        return reportStatus;
    }

    public void setReportStatus(String reportStatus) {
        this.reportStatus = reportStatus;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRepUploadFile() {
        return repUploadFile;
    }

    public void setRepUploadFile(String repUploadFile) {
        this.repUploadFile = repUploadFile;
    }

    public List<StatisticReportPersonnel> getPersonnels() {
        return personnels;
    }

    public void setPersonnels(List<StatisticReportPersonnel> personnels) {
        this.personnels = personnels;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    public String getsTime() {
        return sTime;
    }

    public void setsTime(String sTime) {
        this.sTime = sTime;
    }

    public String geteTime() {
        return eTime;
    }

    public void seteTime(String eTime) {
        this.eTime = eTime;
    }
}
