package generator;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * statistic_report
 * @author 
 */
@Data
public class StatisticReport implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 报表名称
     */
    private String reportName;

    /**
     * 积木报表id
     */
    private String reportId;

    /**
     * 模板名称
     */
    private String templateName;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 当前状态（1：未开始，2：进行中，3：已结束）
     */
    private String reportStatus;

    /**
     * 状态(1：无效，2:有效)
     */
    private String status;

    /**
     * 模板文件
     */
    private String repUploadFile;

    /**
     * 注意事项
     */
    private String remark;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    private static final long serialVersionUID = 1L;
}