package com.boman.domain.entity.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;
import java.util.Map;

/**
 * @author tjf
 * @Date: 2021/08/24/14:26
 */
@Getter
@Setter
@ToString
@Builder
public class StatisticReportVo {
    private Long id;
    private String reportName;
    private String reportId;
    private String templateName;
    private java.sql.Date startTime;
    private java.sql.Date endTime;
    private String reportStatus;
    private String status;
    private String repUploadFile;
    private String remark;
    private String createBy;
    private java.sql.Timestamp createTime;
    private String updateBy;
    private java.sql.Timestamp updateTime;
    private String isDel;
    //参与人员
    private List<Map<String,Object>> personnelList;
    //已填报单位
    private List<Map<String,Object>> filledInList;
    //未填报单位
    private List<Map<String,Object>> filledOutList;
}
